Multimedia NPAPI Browser Plugins

Everything about X, Gnome, KDE, ... and everything running on it

Multimedia NPAPI Browser Plugins

Postby mrkapqa » 2019-08-04 10:56

Hello ,


i am used to access Youtube via ViewTube with Firefox 52 ESR.


Noticed that on latest Debian 10 the videos would no longer play.
The error message is

"The video should be loading. If it doesn't load, make sure a video plugin is installed. If you think it's a script issue, please report it ::here::"


It could be a Firefox issue but the i noticed this behaviour with Firefox 52 ESR only on latest Debian and therefore i am wondering if i am missing some Multimedia Codecs for proper Video Playback!?

There are no more NPAPI browser extensions available in the repositories like gecko-mediaplayer, totem-mozilla or browser-plugin-vlc so i am wondering what else i could use to enable the playback (withouth resorting to external handler-scripts like ff2mpv)


Thanks
mrkapqa
 
Posts: 126
Joined: 2014-04-22 08:30

Re: Multimedia NPAPI Browser Plugins

Postby djk44883 » 2019-08-04 11:09

Do the videos play with ViewTube disabled? Or, safemode with all extensions disabled, for debugging/troubleshooting?

Generally, youtube is HTML5, handled by browsers natively.
djk44883
 
Posts: 71
Joined: 2010-12-11 13:14

Re: Multimedia NPAPI Browser Plugins

Postby mrkapqa » 2019-08-04 11:14

Yes, they play fine then with ViewTube disabled.

I think it is a problem with Debian 10 ; just checked, the same error occurs on Ubuntu 19.04. There might be missing some codec or npapi-plugin-handler or something.
mrkapqa
 
Posts: 126
Joined: 2014-04-22 08:30

Re: Multimedia NPAPI Browser Plugins

Postby Head_on_a_Stick » 2019-08-04 15:25

mrkapqa wrote:Firefox 52 ESR

If you really are using v52 then you need to update, we're on v60 now.
User avatar
Head_on_a_Stick
 
Posts: 10346
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Multimedia NPAPI Browser Plugins

Postby mrkapqa » 2019-08-04 16:00

Thanks, but no need to break it,
i am still using Firefox 45 ESR on my Mac, and no problems with playback there.

Debian Stretch or Ubuntu 18.04 still allows for the playback, so i am wondering what happened with Debian 10.
mrkapqa
 
Posts: 126
Joined: 2014-04-22 08:30

Re: Multimedia NPAPI Browser Plugins

Postby djk44883 » 2019-08-04 16:39

If they play fine with ViewTube disabled... why do you feel the problem is Debian 10 specific and not the plug-in (aka extension)?? If 10 can play them without the extension enabled, doesn't this negate that guess?
djk44883
 
Posts: 71
Joined: 2010-12-11 13:14

Re: Multimedia NPAPI Browser Plugins

Postby djk44883 » 2019-08-04 16:44

mrkapqa wrote:Thanks, but no need to break it,
i am still using Firefox 45 ESR on my Mac, and no problems with playback there.

Debian Stretch or Ubuntu 18.04 still allows for the playback, so i am wondering what happened with Debian 10.


https://packages.debian.org/buster/firefox-esr

Package: firefox-esr (60.8.0esr-1~deb10u1) [security]

You have to have a current stable secure version if you are going to run stable... not matter what works on other systems - if you want support for debian stable, then stay updated!!
djk44883
 
Posts: 71
Joined: 2010-12-11 13:14

Re: Multimedia NPAPI Browser Plugins

Postby Head_on_a_Stick » 2019-08-04 17:09

mrkapqa wrote:Thanks, but no need to break it,
i am still using Firefox 45 ESR on my Mac, and no problems with playback there.

So you're fine with your system being wide open to malicious intrusion because you're using an outdated browser with multiple, published security holes? That seems unwise.
User avatar
Head_on_a_Stick
 
Posts: 10346
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Multimedia NPAPI Browser Plugins

Postby mrkapqa » 2019-08-04 17:12

with firefox 60 it is playing fine;
but i prefer firefox 52 due to npapi plugin compatibility, thats all.

so i reverted to kubuntu 18.04. lts as it still allows for firefox 52 esr to playback fine -- obviously there is come codec or something missing in debian 10/ubuntu 19.04(10)
mrkapqa
 
Posts: 126
Joined: 2014-04-22 08:30

Re: Multimedia NPAPI Browser Plugins

Postby djk44883 » 2019-08-04 20:21

mrkapqa wrote:with firefox 60 it is playing fine;
but i prefer firefox 52 due to npapi plugin compatibility, thats all.

so i reverted to kubuntu 18.04. lts as it still allows for firefox 52 esr to playback fine -- obviously there is come codec or something missing in debian 10/ubuntu 19.04(10)


I think you're blurring the lines. firefox versions dropping npapi compatibility and debian 9 > 10 are 2 different lines of convergence. It seems you've already decided it's all due to upgrading debian 10 and not because firefox dropped outdated plugins... I'm moving on
djk44883
 
Posts: 71
Joined: 2010-12-11 13:14


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 10 guests

fashionable